DROP PROC in_RIS_DETALLE_ALL_proc
GO

CREATE PROC in_RIS_DETALLE_ALL_proc
@MONEDA		UD_CURYID,	--EXPRESADO EN QUE MONEDA
@SITE		varCHAR(255),	-- SITES A EXAMINAR
@TODOS_MOV	TINYINT	,	--TODOS LOS MOVIMIENTOS
@TIPOMOV    	VARCHAR(255)='',--SOLO ESTOS MOVIMIENTOS
@FECHA_INI	VARCHAR(10),	--
@FECHA_FIN	VARCHAR(10),	--
@TCONDICION	CHAR(3)='',--TIPO CONDICION CATegoria, SCA SUB CATERIGORIA, (ART) PRODUCTO DOC documento
@TODOS		TINYINT=1,--TODOS LOS elementos del tipo de condicion
@CONDICION	VARCHAR(255)=''	--solo los elementos que cumplan la condicion
AS

DECLARE @CADENA VARCHAR(1000)	--CADENA A EJECUTAR
declare @moneda_base ud_curyid
set @moneda_base=(select curyorig from setup)

IF @MONEDA=@MONEDA_BASE	--si se ha solicitado la misma moneda base
	SET @CADENA=	' select vw_in_ris_detalle_all.*,STDCOSTPEN as COSTO,qty*STDCOSTPEN as tcosto '+
			' from   vw_in_ris_detalle_all '+
			" WHERE SITEID IN ("+@SITE+") AND (INTRDATEPROCE BETWEEN '"+@FECHA_INI+"' AND '"+@FECHA_FIN+"') "
ELSE	
	SET @CADENA=	' select vw_in_ris_detalle_all.*,stdcostusd as costo,qty*stdcostusd as tcosto '+
			' from   vw_in_ris_detalle_all '+
			" WHERE SITEID IN ("+@SITE+") AND (INTRDATEPROCE BETWEEN '"+@FECHA_INI+"' AND '"+@FECHA_FIN+"') "

IF @TODOS_MOV=0	SET @CADENA=@CADENA +' AND TYPEDOCID IN ('+@TIPOMOV+') '  --ALGUNOS MOVIMIENTOS 

IF @TCONDICION='CAT'	--CATEGORIA
BEGIN 
	IF @TODOS=0 SET @CADENA=@CADENA +' AND CLASSID IN ('+@CONDICION+') ' 	--ALGUNAS  CATEGORIAS
	SET @CADENA = @CADENA+' ORDER BY SITEID,CLASSID,TYPEDOCDESCR '	
END

IF @TCONDICION='SCA'	--SUB CATEGORIA
BEGIN 
	IF @TODOS=0 SET @CADENA=@CADENA +' AND CLASSID IN ('+@CONDICION+') ' 	--ALGUNAS  SUB CATEGORIAS

	SET @CADENA = @CADENA+' ORDER BY SITEID,CLASSUBID,TYPEDOCDESCR '	
END

IF @TCONDICION='ART'	--SITE POR ARTICULO
BEGIN 
	IF @TODOS=0 SET @CADENA=@CADENA +' AND CLASSUBID IN ('+@CONDICION+') ' 	--ALGUNOS ARTICULOS

	SET @CADENA = @CADENA+' ORDER BY SITEID,TYPEDOCDESCR,INVTIDSKU '	
END

IF @TCONDICION='ARS'	--ARTICULO POR SITE
BEGIN 
	IF @TODOS=0 SET @CADENA=@CADENA +' AND INVTIDSKU IN ('+@CONDICION+') ' 	--ALGUNAS  ARTICULOS 

	SET @CADENA = @CADENA+' ORDER BY  INVTIDSKU,SITEID,TYPEDOCDESCR '	
END

IF @TCONDICION='DOC'	--DOCUMENTO DETALLE
	SET @CADENA = @CADENA+' ORDER BY  SITEID,TYPEDOCDESCR,INTRDATE '	

exec (@cadena)
go

exec in_RIS_DETALLE_ALL_proc 'PEN',"'00057'",1,'','01/01/01','12/12/02','CAT',0,"'07'"
